import * as R from 'ramda';
import * as Rx from 'rxjs';
import { Exchange, Options } from './types';
export declare const exchangeOrderObservableCreators: {
    [Exchange.RADAR_RELAY]: (options: Options) => Rx.Observable<import("./types").OrderMessage | import("./types").SnapshotMessage>;
    [Exchange.KRAKEN]: (options: Options) => Rx.Observable<import("./types").SnapshotMessage>;
    [Exchange.KYBER]: (options: Options) => Rx.Observable<import("./types").SnapshotMessage>;
    [Exchange.ETHFINEX]: (options: Options) => Rx.Observable<{}>;
};
export declare const createExchangeOrderObservable: R.CurriedFunction2<Options, Exchange, Rx.Observable<{}>>;
export declare const createExchangeOrderObservables: R.CurriedFunction2<Options, Exchange[], Rx.Observable<any>[]>;
