import * as R from 'ramda';
import { SnapshotMessage, RemoveOrderMessage, OrderMessage, AddOrUpdateOrderMessage } from '../types';
export declare const isOrderEvent: R.Pred;
export declare const isAddOrUpdateOrderEvent: (payload: any) => payload is AddOrUpdateOrderMessage;
export declare const isRemoveOrderEvent: (payload: any) => payload is RemoveOrderMessage;
export declare const isSnapshotEvent: (payload: any) => payload is SnapshotMessage;
export declare const debugAddOrUpdateOrderEvent: (value: AddOrUpdateOrderMessage) => any[];
export declare const debugRemoveOrderEvent: (value: RemoveOrderMessage) => any[];
export declare const debugSnapshotEvent: (value: SnapshotMessage) => any[];
export declare const debugEvent: (...a: (OrderMessage | SnapshotMessage)[]) => any[];
